{% extends 'music/base.html' %}
{% block community_active %}active{% endblock %}

{% block body %}
<div class="albums-container container-fluid">

    <!-- Albums -->
    <div class="row">
        <div class="col-sm-12">
            <h3>Community's Albums</h3>
        </div>
        {% if albums %}
            {% for album in albums %}
                <div class="col-sm-4 col-lg-2">
                    <div class="thumbnail">
                        <a href="{% url 'music:community_detail' album.id %}">
                            <img src="{{ album.album_logo.url }}" class="img-responsive">
                        </a>
                        <div class="caption">
                            <h2>{{ album.album_title }}</h2>
                            <h4>{{ album.artist }}</h4>

                            <!-- View Details -->
                            <a href="{% url 'music:community_detail' album.id %}" class="btn btn-primary btn-sm" role="button">View Details</a>

                        </div>
                    </div>
                </div>
                {% cycle '' '' '' '' '' '<div class="clearfix visible-lg"></div>' %}
            {% endfor %}
        {% else %}
            <div class="col-sm-12">
                <br>
                <a href="{% url 'music:create_album' %}">
                    <button type="button" class="btn btn-success">
                        <span class="glyphicon glyphicon-plus"></span>&nbsp; Add an Album
                    </button>
                </a>
            </div>
        {% endif %}
    </div>

    <!-- If user searches and there are songs -->
    {% if songs %}
        <div class="row">
            <div class="col-sm-12">
                <h3>Songs</h3>
            </div>
            <div class="col-sm-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Song Title</th>
                                    <th>Artist</th>
                                    <th>Audio File</th>
                                    <th>Album</th>
                                    <th>Favorite</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for song in songs %}
                                    <tr>
                                        <td>{{ song.song_title }}</td>
                                        <td>{{ song.album.artist }}</td>
                                        <td>
                                            <a target="_blank" href="{{ song.audio_file.url }}">
                                                <button type="button" class="btn btn-success btn-xs">
                                                    <span class="glyphicon glyphicon-play"></span>&nbsp; Play
                                                </button>
                                            </a>
                                        </td>
                                        <td>
                                            <a href="{% url 'music:community_detail' song.album.id %}">
                                                <img src="{{ song.album.album_logo.url }}" class="img-responsive" style="width: 20px; float: left; margin-right: 10px;" />
                                            </a>
                                            <a href="{% url 'music:community_detail' song.album.id %}">{{ song.album.album_title }}</a>
                                        </td>
                                        <td>
                                            <a href="{% url 'music:favorite' song.id %}" class="btn-favorite"><span class="glyphicon glyphicon-star {% if song.is_favorite %}active{% endif %}"></span></a>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    {% endif %}

</div>
{% endblock %}
